curl --request GET \
--url https://aarwcjjzhlmkgdwrisyt.supabase.co/functions/v1/dispute-get \
--header 'Authorization: Bearer <token>'{
"success": true,
"status": 200,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escrow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raised_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason_code": "item_not_received",
"reason": "<string>",
"status": "negotiation",
"negotiation_deadline": "2023-11-07T05:31:56Z",
"auto_release_at": "2023-11-07T05:31:56Z",
"resolved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}Returns the active dispute for an escrow. Caller must be a party.
curl --request GET \
--url https://aarwcjjzhlmkgdwrisyt.supabase.co/functions/v1/dispute-get \
--header 'Authorization: Bearer <token>'{
"success": true,
"status": 200,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escrow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raised_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason_code": "item_not_received",
"reason": "<string>",
"status": "negotiation",
"negotiation_deadline": "2023-11-07T05:31:56Z",
"auto_release_at": "2023-11-07T05:31:56Z",
"resolved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}JWT access token obtained from /auth-verify (login context) or /auth-signup. Set the bearer_token environment variable in your API client to apply it globally.